﻿@model TruePotentialDevTest.Models.MyTicketViewModel
@using TruePotentialDevTest.Models
@{
    ViewBag.Title = "My Tickets";
    ViewBag.Header = "My Tickets";
}

<div class="centercontent">
    <h2>@ViewBag.Header</h2>
</div>

<div id="ticketlist-container">
    <table class="table">
        <thead>
            <tr>
                <th>ID</th>
                <th>Name</th>
                <th>Creation Date</th>
                <th>Status</th>
                <th>Actions</th>
            </tr>
        </thead>

        @if (Model.Tickets.Count < 1)
        {
            <tr>
                <td colspan="5" style="text-align: center;">
                    You have not submitted any tickets. To submit a new ticket, click the "Create Ticket" link on the navigation bar above!
                </td>
            </tr>
        }
        else
        {
            foreach (ListTicketViewModel ticket in Model.Tickets)
            {
                <tr>
                    <td>@ticket.Id</td>
                    <td>@ticket.Name</td>
                    <td>@ticket.CreationDate.ToString()</td>
                    <td>@ticket.Status.ToString()</td>
                    <td>
                        @Html.ActionLink("View", "ViewTicket/" + ticket.Id.ToString(), "Home")
                    </td>
                </tr>
            }
        }
        
    </table>
</div>